<div class="container kd-dialog-default">
  <h1 mat-dialog-title>{{ data.title }}</h1>
  <h3>({{ data.subtitle }})</h3>

  <mat-dialog-content>
    <form novalidate
          #editForm
          [formGroup]="editCandidateForm"
          (ngSubmit)="onEditCandidate()">
        <div class="row">
          <div class="col-md-6">
            <label for="firstname" class="form-check-label">Firstname</label>
            <input name="firstname" formControlName="firstname" type="text"
                   class="form-control kd-form-input">
          </div>
          <div class="col-md-6">
            <label for="lastname" class="form-check-label">Lastname</label>
            <input name="lastname" formControlName="lastname" type="text"
                   class="form-control kd-form-input">
          </div>
        </div>
        <div class="kd-div-top-spacer"></div>

        <div class="row">
          <div class="col-md-6">
            <label for="email" class="form-check-label">Email</label>
            <input name="email" formControlName="email" type="email"
                   class="form-control kd-form-input">
            <mat-error *ngIf="email.dirty && email.errors?.email" class="kd-error">
              Cannot update email (incorrect format)
            </mat-error>
          </div>
          <div class="col-md-6">
            <label for="cv" class="form-check-label">CV link</label>
            <input name="cv" formControlName="cv" type="text"
                   class="form-control kd-form-input">
          </div>
        </div>
        <div class="kd-div-top-spacer"></div>

        <div class="row">
          <div class="col-md-6">
            <label for="phone" class="form-check-label">Phone</label>
            <input name="phone" formControlName="phone" type="text"
                   class="form-control kd-form-input">
            <mat-error *ngIf="phone.dirty && phone.errors?.pattern" class="kd-error">
              Cannot update phone number (incorrect format)
            </mat-error>
          </div>
          <div class="col-md-6">
            <label for="mark" class="form-check-label">Mark</label>
            <input name="mark" formControlName="mark" type="text"
                   class="form-control kd-form-input">
            <mat-error *ngIf="mark.dirty && mark.errors?.pattern">
              Mark must be number
            </mat-error>
          </div>
        </div>
        <div class="kd-div-top-spacer"></div>

        <div class="row">
          <div class="col-md-6">
            <label for="position" class="form-check-label">Position</label>
            <input name="position" formControlName="position" type="text"
                    class="form-control kd-form-input">
          </div>
          <div class="col-md-6">
            <label for="comment" class="form-check-label">Comment</label>
            <input name="comment" formControlName="comment" type="text"
                    class="form-control kd-form-input">
          </div>
        </div>

      <div style="float:right;margin:20px;">
        <button style="margin:0px 10px;"
                type="submit"
                class="btn btn-primary kd-btn-primary"
                [ngClass]="submitHoverClass()"
                [disabled]="editCandidateForm.invalid">
                Edit
        </button>
        <button type="reset"
                class="btn btn-danger kd-btn-danger"
                (click)="onReset()">
                Cancel
        </button>
      </div>
    </form>
  </mat-dialog-content>
</div>
